package com.ruoyi.brewery.mapper;

import java.util.List;
import com.ruoyi.brewery.domain.WyGoods;

/**
 * 兑换商品Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
public interface WyGoodsMapper 
{
    /**
     * 查询兑换商品
     * 
     * @param id 兑换商品主键
     * @return 兑换商品
     */
    public WyGoods selectWyGoodsById(Long id);
    public Integer selectWyGoodsCount(WyGoods wyGoods);

    /**
     * 查询兑换商品列表
     * 
     * @param wyGoods 兑换商品
     * @return 兑换商品集合
     */
    public List<WyGoods> selectWyGoodsList(WyGoods wyGoods);

    /**
     * 新增兑换商品
     * 
     * @param wyGoods 兑换商品
     * @return 结果
     */
    public int insertWyGoods(WyGoods wyGoods);

    /**
     * 修改兑换商品
     * 
     * @param wyGoods 兑换商品
     * @return 结果
     */
    public int updateWyGoods(WyGoods wyGoods);

    /**
     * 删除兑换商品
     * 
     * @param id 兑换商品主键
     * @return 结果
     */
    public int deleteWyGoodsById(Long id);

    /**
     * 批量删除兑换商品
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyGoodsByIds(Long[] ids);
}
